# Generated by Django 3.1.2 on 2023-02-28 22:11

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Paragraph',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('general', models.TextField(null=True)),
                ('readability', models.TextField(null=True)),
                ('morph', models.TextField(null=True)),
                ('morph_average', models.TextField(null=True)),
                ('lexical', models.TextField(null=True)),
                ('lexical_average', models.TextField(null=True)),
                ('syntactic', models.TextField(null=True)),
                ('syntactic_average', models.TextField(null=True)),
                ('content', models.TextField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Sentence',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text_index', models.CharField(max_length=512)),
                ('types', models.TextField(null=True)),
                ('ud_tree', models.BooleanField(default=True)),
                ('general', models.TextField(null=True)),
                ('readability', models.TextField(null=True)),
                ('morph', models.TextField(null=True)),
                ('lexical', models.TextField(null=True)),
                ('syntactic', models.TextField(null=True)),
                ('content', models.TextField(null=True)),
                ('paragraph', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='swegram_main.paragraph')),
            ],
        ),
        migrations.CreateModel(
            name='TextStats',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text_id', models.CharField(max_length=64)),
                ('language', models.CharField(max_length=16)),
                ('filename', models.CharField(max_length=64)),
                ('filesize', models.IntegerField(blank=0, null=True)),
                ('states', models.JSONField(null=True)),
                ('labels', models.JSONField(null=True)),
                ('number_of_paragraphs', models.IntegerField(blank=0, null=True)),
                ('number_of_sentences', models.IntegerField(blank=0, null=True)),
                ('activated', models.BooleanField(default=False)),
                ('date_added', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='UploadedFile',
            fields=[
                ('md5_checksum', models.CharField(max_length=32, primary_key=True, serialize=False)),
                ('normalized', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='Token',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('compound_originals', models.BooleanField(default=False)),
                ('normalized', models.BooleanField(default=False)),
                ('token_index', models.CharField(max_length=512)),
                ('text_index', models.CharField(max_length=512)),
                ('form', models.CharField(default='_', max_length=512)),
                ('norm', models.CharField(blank=True, default='_', max_length=512)),
                ('lemma', models.CharField(blank=True, default='_', max_length=512)),
                ('upos', models.CharField(blank=True, default='_', max_length=512)),
                ('xpos', models.CharField(blank=True, default='_', max_length=512)),
                ('feats', models.CharField(blank=True, default='_', max_length=512)),
                ('ufeats', models.CharField(blank=True, default='_', max_length=512)),
                ('head', models.CharField(blank=True, default='_', max_length=512)),
                ('deprel', models.CharField(blank=True, default='_', max_length=512)),
                ('deps', models.CharField(blank=True, default='_', max_length=512)),
                ('misc', models.CharField(blank=True, default='_', max_length=512)),
                ('path', models.CharField(blank=True, default='', max_length=512)),
                ('highlight', models.CharField(blank=True, default='', max_length=512)),
                ('length', models.IntegerField(blank=True, null=True)),
                ('dep_length', models.IntegerField(blank=True, null=True)),
                ('sentence', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='swegram_main.sentence')),
            ],
        ),
        migrations.CreateModel(
            name='Text',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('general', models.TextField(null=True)),
                ('readability', models.TextField(null=True)),
                ('morph', models.TextField(null=True)),
                ('morph_average', models.TextField(null=True)),
                ('lexical', models.TextField(null=True)),
                ('lexical_average', models.TextField(null=True)),
                ('syntactic', models.TextField(null=True)),
                ('syntactic_average', models.TextField(null=True)),
                ('content', models.TextField(null=True)),
                ('stats', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='swegram_main.textstats')),
            ],
        ),
        migrations.AddField(
            model_name='sentence',
            name='text',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='swegram_main.text'),
        ),
        migrations.AddField(
            model_name='paragraph',
            name='text',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='swegram_main.text'),
        ),
    ]
